恩山无线论坛

 找回密码
 立即注册

QQ登录

只需一步,快速开始

搜索
当贝投影
查看: 1393|回复: 3

树熊M1L不拆机刷breed和老毛子,小博

[复制链接]
发表于 2022-5-15 12:07 | 显示全部楼层 |阅读模式
本帖最后由 hncwt 于 2022-5-15 12:10 编辑

这几天闲来无事,把树熊路由器升成不死了。

主要参考网上的,树熊M1L刷小博方法。我只是把里面的文件替换了。


#! /bin/sh

cd /tmp/

SERIP=$1
UBOOT="uboot.bin"
FIRM="firmware.img"
[ -z "$SERIP" ] && SERIP="192.168.18.1"

echo "tftp server ip: $SERIP, uboot=$UBOOT, firmware=$FIRM"

echo "==begin upload uboot, firmware"
tftp -g -r "$UBOOT" "$SERIP"
tftp -g -r "$FIRM" "$SERIP"
sync

[ -f "$UBOOT" -a -f "$FIRM" ] || {
        echo "==upload $UBOOT or $FIRM failed, try again"
        exit 1
}

md5=`md5sum "$UBOOT" | awk '{printf("%s", $1)}'`
[ "$md5" != "f341bb3295566695996656bf249b34b1" ] && {
        echo "==upload $UBOOT error, try again"
        exit 2
}

md5=`md5sum "$FIRM" | awk '{printf("%s", $1)}'`
[ "$md5" != "e2dfc8b7cbbbc397f2fdfd9b10e844af" ] && {
        echo "==upload $FIRM error, try again"
        exit 3
}

echo "==begin update firmware"
mtd -e firmware1 write "$FIRM" firmware1
[ "$?" -ne 0 ] && {
        echo "==update uboot failed"
        exit 4
}
echo "==update firmware ok"

echo "==begin update uboot"
mtd -e u-boot write "$UBOOT" u-boot
[ "$?" -ne 0 ] && {
        echo "==update uboot failed"
        exit 5
}

echo "==update uboot ok, rebooting"
sleep 1
reboot

exit 0


我的恩山、我的无线 The best wifi forum is right here.
 楼主| 发表于 2022-5-15 12:11 | 显示全部楼层
本帖最后由 hncwt 于 2022-5-15 12:13 编辑

前题是有密码,然后开启TTL,
命令   http://192.168.18.254/hide/set.html


然后打开TFTP之后,

telnet 192.168.18.254

粘上命令  cd /tmp/ && tftp -g -r update_TBM1L.sh 192.168.18.29 && chmod 777 update_TBM1L.sh && ./update_TBM1L.sh
我的恩山、我的无线 The best wifi forum is right here.
 楼主| 发表于 2022-5-15 12:17 | 显示全部楼层
1.png 2.png 3.png 4.png 5.png 6.png
我的恩山、我的无线 The best wifi forum is right here.
发表于 2022-5-19 12:45 | 显示全部楼层
请发完整的uboot.ini,谢谢
我的恩山、我的无线 The best wifi forum is right here.
您需要登录后才可以回帖 登录 | 立即注册

本版积分规则

QQ|手机版|小黑屋|Archiver|恩山无线论坛(常州市恩山计算机开发有限公司版权所有) ( 苏ICP备05084872号 )|网站地图

GMT+8, 2022-6-27 07:26

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

快速回复 返回顶部 返回列表